//Medium Tank Mark A "Whippet"
//Based on measurements of the 1:35th scale Emhar model
//Copyright (c) 2003 by Jakko Westerbeke <jakko@xs4all.nl>
global_settings {
   adc_bailout 0.0039216
   irid_wavelength rgb <1, 1, 1>
}

light_source {
   <10, 15, 10>, rgb <1, 1, 1>
   fade_distance 10
   fade_power 1
}

light_source {
   <10, 500, 0>, rgb <1, 1, 1>
}

light_source {
   <20, 10, 0>, rgb <1, 1, 1>
}

camera {
   perspective
   location <25, 8, 2>
   sky <0, 1, 0>
   direction <0, 0, 1>
   right <1.3333, 0, 0>
   up <0, 1, 0>
   look_at <0, 3, 2>
   angle 45
}

sky_sphere {
   pigment {
      color rgb <1, 1, 1>
   }
}

#declare AirVent = union {
   prism {
      //*PMName Side L
      linear_spline
      linear_sweep
      0, 0.02,
      5,
      <0, 0>, <0.7, 0>, <0.7, 0.3>, <0.3, 0.3>, <0, 0>
      scale <1, 1, 1>
      rotate <90, 180, 90>
      translate <0, 0, 0>
   }
   
   prism {
      //*PMName Side R
      linear_spline
      linear_sweep
      0.58, 0.6,
      5,
      <0, 0>, <0.7, 0>, <0.7, 0.3>, <0.3, 0.3>, <0, 0>
      scale <1, 1, 1>
      rotate <90, 180, 90>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Louvre 1
      <0, 0, 0>, <0.45, 0.02, -0.6>
      scale <1, 1, 1>
      rotate <0, 0, -45>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Louvre 2
      <0, 0, 0>, <0.45, 0.02, -0.6>
      scale <1, 1, 1>
      rotate <0, 0, -45>
      translate <0, -0.12, 0>
   }
   
   box {
      //*PMName Louvre 3
      <0, 0, 0>, <0.45, 0.02, -0.6>
      scale <1, 1, 1>
      rotate <0, 0, -45>
      translate <0, -0.24, 0>
   }
   
   box {
      //*PMName Louvre 4
      <0, 0, 0>, <0.45, 0.02, -0.6>
      scale <1, 1, 1>
      rotate <0, 0, -45>
      translate <0, -0.36, 0>
   }
}

#declare Machinegun = union {
   //*PMName Machine gun
   
   sphere {
      //*PMName Ball mount
      <0, 0, 0>, 0.35
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Barrel
      <0, 0.05, 0>, <0, 0.05, 1.7>, 0.03
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Gas tube
      <0, -0.05, 0>, <0, -0.05, 1.1>, 0.04
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   pigment {
      color rgb <0.235294, 0.235294, 0.235294>
   }
}

#declare Muffler = union {
   //*PMName Muffler
   
   intersection {
      //*PMName Front exhaust
      
      torus {
         0.3, 0.05
         scale <1, 1, 1>
         rotate <0, 0, 90>
         translate <0, 0, 0.5>
      }
      
      box {
         <-0.3, 0, 0>, <0.3, 0.5, 0.5>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      translate <2.2, 4, 0.1>
   }
   
   box {
      //*PMName Hull exit
      <2, 4, 0.2>, <2.3, 3.7, 0.4>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Asbestos
      <2.25, 4.3, 0.7>, <2.25, 4.3, 2.4>, 0.2
      
      pigment {
         color rgb <0.894118, 1, 0.756863>
      }
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Main body
      <2.25, 4.3, 0.6>, <2.25, 4.3, 2.5>, 0.17
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Rear exhaust
      <2.25, 4.3, 2.4>, <2.5, 4.3, 3>, 0.05
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   pigment {
      color rgb <0.521569, 0.298039, 0.141176>
   }
}

#declare Tracklink = union {
   box {
      //*PMName Plate
      <0, 0, 0>, <1.5, 0.05, 0.55>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   difference {
      cylinder {
         <0, 0, 0.6>, <1.5, 0, 0.6>, 0.1
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         <-0.1, 0, 0.6>, <1.6, 0, 0.6>, 0.05
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      plane {
         <0, 1, 0>, 0
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   pigment {
      color rgb <0.435294, 0.270588, 0.152941>
   }
}

#declare Trackunit = union {
   //*PMName Track unit
   
   prism {
      //*PMName Spacer
      linear_spline
      linear_sweep
      2, 2.2,
      7,
      <1.5, 0>, <2.2, -0.7>, <2.2, -3.5>, <3.6, -3.5>, <2.67, 9>, <1.5, 9>, <1.5, 0>
      scale <1, 1, 1>
      rotate <0, 0, 90>
      translate <0, 0, 0>
   }
   
   difference {
      //*PMName Center section
      
      union {
         prism {
            //*PMName Basic shape
            linear_spline
            linear_sweep
            3.6, 2.2,
            8,
            <0.3, 5.2>, <0.3, 1.5>, <0.5, -0.7>, <1.73, -5>, <3.69, -4.7>, <2.6, 10>, <0.6, 10>, <0.3, 5.2>
            scale <1, 1, 1>
            rotate <0, 0, 90>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Idler
            <-3.6, 2.7, -4.8>, <-2.2, 2.7, -4.8>, 1
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            //*PMName Idler hub
            <-3.7, 2.7, -4.8>, <-2.1, 2.7, -4.8>, 0.12
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Idler adjustment
            <-2.15, 2.4, -5.2>, <-3.65, 2.9, -3.6>
            scale <1, 1, 1>
            rotate <5, 0, 0>
            translate <0, -0.35, -0.3>
         }
      }
      
      difference {
         //*PMName Cut-out
         
         prism {
            //*PMName prism
            linear_spline
            linear_sweep
            2.3, 3.7,
            8,
            <3.2, -3.4>, <2.5, 6>, <1.2, 6>, <1.1, 4>, <1.1, 1.5>, <1.5, -1.8>, <2, -3.4>, <3.2, -3.4>
            scale <1, 1, 1>
            rotate <0, 0, 90>
            translate <0, 0, 0>
         }
         
         plane {
            <-1, 0, 0>, 0
            scale <1, 1, 1>
            rotate <0, 0, -30>
            translate <-2.7, 2.5, 0>
         }
      }
      
      cylinder {
         //*PMName Idler recess outside
         <-3.7, 2.61, -3.7>, <-3.7, 2.67, -4.45>, 0.2
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         //*PMName Idler recess inside
         <-2.1, 2.61, -3.7>, <-2.1, 2.67, -4.45>, 0.2
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   prism {
      //*PMName Return roller plate 1
      linear_spline
      linear_sweep
      3.6, 3.65,
      6,
      <0, 0>, <0, 1>, <-0.2, 1>, <-0.5, 0.7>, <-0.5, 0>, <0, 0>
      scale <1, 1, 1>
      rotate <0, -3, 90>
      translate <0, 3.3, -3.5>
   }
   
   box {
      //*PMName Front upright
      <-3.6, 1.2, -0.6>, <-3.55, 3.1, -0.3>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   prism {
      //*PMName Return roller plate 2
      linear_spline
      linear_sweep
      3.6, 3.65,
      6,
      <0, 0>, <0, 1>, <-0.2, 1>, <-0.5, 0.7>, <-0.5, 0>, <0, 0>
      scale <1, 1, 1>
      rotate <0, -3, 90>
      translate <0, 3.05, -0.4>
   }
   
   box {
      //*PMName Center upright
      <-3.6, 1, 1.5>, <-3.55, 3, 1.8>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   prism {
      //*PMName Return roller plate 3
      linear_spline
      linear_sweep
      3.6, 3.65,
      6,
      <0, 0>, <0, 1>, <-0.2, 1>, <-0.5, 0.7>, <-0.5, 0>, <0, 0>
      scale <1, 1, 1>
      rotate <0, -3, 90>
      translate <0, 2.9, 1.7>
   }
   
   box {
      //*PMName Rear upright
      <-3.6, 1, 4>, <-3.55, 2.8, 4.3>
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   prism {
      //*PMName Return roller plate 4
      linear_spline
      linear_sweep
      3.6, 3.65,
      6,
      <0, 0>, <0, 1>, <-0.2, 1>, <-0.5, 0.7>, <-0.5, 0>, <0, 0>
      scale <1, 1, 1>
      rotate <0, -3, 90>
      translate <0, 2.7, 4.2>
   }
   
   cylinder {
      //*PMName Roadwheel cover plate 1
      <-2.15, 0.65, 1.4>, <-3.65, 0.65, 1.4>, 0.3
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Roadwheel cover plate 2
      <-2.15, 0.65, 2.1>, <-3.65, 0.65, 2.1>, 0.3
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Roadwheel cover plate 3
      <-2.15, 0.65, 2.9>, <-3.65, 0.65, 2.9>, 0.3
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Roadwheel cover plate 4
      <-2.15, 0.65, 3.7>, <-3.65, 0.65, 3.7>, 0.3
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Roadwheel cover plate 5
      <-2.15, 0.65, 4.5>, <-3.65, 0.65, 4.5>, 0.3
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Roadwheel cover plate 6
      <-2.15, 0.65, 5.3>, <-3.65, 0.65, 5.3>, 0.3
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Roadwheel mounting 1
      <-2.15, 0.9, -2.2>, <-3.65, 0.7, -3.5>
      scale <1, 1, 1>
      rotate <13, 0, 0>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Roadwheel mounting 2
      <-2.15, 1.05, -1.85>, <-3.65, 0.85, -0.55>
      scale <1, 1, 1>
      rotate <5, 0, 0>
      translate <0, 0, 0>
   }
   
   box {
      //*PMName Roadwheel mounting 3
      <-2.15, 1.05, 1.05>, <-3.65, 0.85, -0.35>
      scale <1, 1, 1>
      rotate <5, 0, 0>
      translate <0, 0, -0.1>
   }
   
   box {
      //*PMName Roadwheel mounting 4
      <-2.15, 0.7, 5.8>, <-3.65, 0.5, 7.2>
      scale <1, 1, 1>
      rotate <-2, 0, 0>
      translate <0, 0, -0.1>
   }
   
   box {
      //*PMName Roadwheel mounting 5
      <-2.15, 0.7, 7.4>, <-3.65, 0.5, 8.6>
      scale <1, 1, 1>
      rotate <-2, 0, 0>
      translate <0, 0, -0.1>
   }
   
   cylinder {
      //*PMName Drive cover plate 1
      <-3.65, 1.75, 6.7>, <-3.6, 1.75, 6.7>, 0.55
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Drive cover plate 2a
      <-3.65, 2.1, 7.75>, <-3.6, 2.1, 7.75>, 0.55
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Drive cover plate 2b
      <-3.65, 2.1, 7.75>, <-3.7, 2.1, 7.75>, 0.32
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Drive sprocket
      <-2.2, 1.6, 10>, <-3.6, 1.6, 10>, 1
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   cylinder {
      //*PMName Drive sprocket hub
      <-2.15, 1.6, 10>, <-3.65, 1.6, 10>, 0.22
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   union {
      //*PMName Track
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <-3.6, 3.7, -4.94189>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-30, 0, 0>
         translate <-3.6, 3.41162, -5.55351>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-70, 0, 0>
         translate <-3.6, 2.85, -5.8>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-95, 0, 0>
         translate <-3.6, 2.25, -5.75>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-135, 0, 0>
         translate <-3.6, 1.85, -5.35>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-162.3, -0, 0>
         translate <-3.6, 1.65855, -4.80437>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-163.9, -0, 0>
         translate <-3.6, 1.4671, -4.21088>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-163.4, -0, 0>
         translate <-3.6, 1.30437, -3.6461>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-163.4, -0, 0>
         translate <-3.6, 1.14164, -3.10047>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-163.4, -0, 0>
         translate <-3.6, 0.969333, -2.52612>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-163.4, -0, 0>
         translate <-3.6, 0.806613, -1.9566>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-163.4, -0, 0>
         translate <-3.6, 0.643893, -1.42195>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-163.4, -0, 0>
         translate <-3.6, 0.492796, -0.86405>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-170.8, -0, 0>
         translate <-3.6, 0.411436, -0.259662>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-174.8, -0, 0>
         translate <-3.6, 0.364945, 0.321481>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-174.8, -0, 0>
         translate <-3.6, 0.318454, 0.914247>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <-174.8, -0, 0>
         translate <-3.6, 0.26034, 1.49539>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <180, -0, 0>
         translate <-3.6, 0.283586, 2.06491>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <180, -0, 0>
         translate <-3.6, 0.271963, 2.63443>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <180, -0, 0>
         translate <-3.6, 0.271963, 3.2272>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <180, -0, 0>
         translate <-3.6, 0.283586, 3.83159>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <180, -0, 0>
         translate <-3.6, 0.283586, 4.42436>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <180, -0, 0>
         translate <-3.6, 0.283586, 5.01712>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <180, -0, 0>
         translate <-3.6, 0.283586, 5.62151>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <176, 0, -0>
         translate <-3.6, 0.3417, 6.21428>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <176, 0, -0>
         translate <-3.6, 0.376569, 6.80705>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <176, 0, -0>
         translate <-3.6, 0.399814, 7.41143>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <176, 0, -0>
         translate <-3.6, 0.446306, 8.0042>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <176, 0, -0>
         translate <-3.6, 0.492797, 8.58534>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <176, 0, -0>
         translate <-3.6, 0.527666, 9.14324>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <176, 0, -0>
         translate <-3.6, 0.562534, 9.73601>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <171.4, -0, 0>
         translate <-3.6, 0.632271, 10.3172>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <142.7, 0, -0>
         translate <-3.6, 0.957711, 10.817>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <112.7, -0, 0>
         translate <-3.6, 1.50399, 11.0495>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <75.5, -0, 0>
         translate <-3.6, 2.10838, 10.8984>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <40.1, -0, 0>
         translate <-3.6, 2.55005, 10.4335>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <8.1, -0, 0>
         translate <-3.6, 2.64303, 9.84073>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 2.68952, 9.24796>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 2.73601, 8.66682>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 2.7825, 8.07405>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 2.82899, 7.4348>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 2.87548, 6.85365>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 2.92198, 6.27251>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 2.96847, 5.64488>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.01496, 5.00562>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.04983, 4.41285>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.09632, 3.78522>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.14281, 3.16921>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.1893, 2.58806>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.23579, 1.9953>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.29391, 1.35604>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.3404, 0.728405>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.38689, 0.124016>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.43338, -0.491995>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.46825, -1.09638>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.51474, -1.7124>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.54961, -2.29354>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.5961, -2.87468>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.65422, -3.52556>
      }
      
      object {
         //*PMName link
         Tracklink
         scale <1, 1, 1>
         rotate <4.4, -0, 0>
         translate <-3.6, 3.71233, -4.22294>
      }
   }
}

union {
   //*PMName Whippet
   
   prism {
      //*PMName Hull
      linear_spline
      linear_sweep
      -2, 2,
      9,
      <1.5, 0>, <2.2, -0.7>, <2.2, -3.5>, <4.8, -3.5>, <4.8, 7>, <3.7, 7>, <3.7, 9>, <1.5, 9>, <1.5, 0>
      scale <1, 1, 1>
      rotate <0, 0, 90>
      translate <0, 0, 0>
   }
   
   object {
      //*PMName Vent L1
      AirVent
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <2, 4.6, -2.7>
   }
   
   object {
      //*PMName Vent L2
      AirVent
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <2, 4.6, -1.9>
   }
   
   object {
      //*PMName Vent L3
      AirVent
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <2, 4.6, -0.6>
   }
   
   object {
      //*PMName Vent R1
      AirVent
      scale <1, 1, 1>
      rotate <0, 180, 0>
      translate <-2, 4.6, -3.3>
   }
   
   object {
      //*PMName Vent R2
      AirVent
      scale <1, 1, 1>
      rotate <0, 180, 0>
      translate <-2, 4.6, -2.5>
   }
   
   object {
      //*PMName Vent R3
      AirVent
      scale <1, 1, 1>
      rotate <0, 180, 0>
      translate <-2, 4.6, -1.2>
   }
   
   object {
      //*PMName Muffler L
      Muffler
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   object {
      //*PMName Muffler R
      Muffler
      scale <-1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   union {
      //*PMName Hull rear panels
      
      box {
         //*PMName Hull rear
         <-1.75, 2, 9>, <1.75, 3.7, 9.3>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      prism {
         //*PMName Trackguard support beam L
         linear_spline
         linear_sweep
         0, 1.8,
         7,
         <1.05, -0.25>, <1.25, -0.05>, <1.45, -0.25>, <1.4, -0.3>, <1.25, -0.15>, <1.1, -0.3>, <1.05, -0.25>
         scale <1, 1, 1>
         rotate <0, -45, 90>
         translate <3.6, 2.84, 8.15>
      }
      
      prism {
         //*PMName Trackguard support beam R
         linear_spline
         linear_sweep
         5.4, 7.2,
         7,
         <1.05, -0.25>, <1.25, -0.05>, <1.45, -0.25>, <1.4, -0.3>, <1.25, -0.15>, <1.1, -0.3>, <1.05, -0.25>
         scale <1, 1, 1>
         rotate <0, -45, 90>
         translate <3.6, 2.84, 8.15>
      }
      
      box {
         //*PMName Curved plate 1
         <-2, 3.75, 8.8>, <2, 3.7, 9.3>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      difference {
         //*PMName Curved plate 2
         
         cylinder {
            <-2, 3.45, 9.3>, <2, 3.45, 9.3>, 0.3
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         cylinder {
            <-2.1, 3.45, 9.3>, <2.1, 3.45, 9.3>, 0.25
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         plane {
            <0, 0, 1>, 0
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 3.45, 9.3>
         }
         
         plane {
            <0, 1, 0>, 0
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 3.45, 9>
         }
      }
   }
   
   union {
      //*PMName Fuel tank
      
      prism {
         //*PMName Main body
         linear_spline
         linear_sweep
         0, 3.2,
         6,
         <0, 0>, <1.3, 0>, <2.3, -1>, <1.3, -2>, <0, -2>, <0, 0>
         scale <1, 1, 1>
         rotate <0, 90, 90>
         translate <1.6, 4.7, -3.5>
      }
      
      prism {
         //*PMName Trackguard support beam
         linear_spline
         linear_sweep
         0, 7.2,
         7,
         <1.05, -0.25>, <1.25, -0.05>, <1.45, -0.25>, <1.4, -0.3>, <1.25, -0.15>, <1.1, -0.3>, <1.05, -0.25>
         scale <1, 1, 1>
         rotate <0, 90, 90>
         translate <3.6, 4.7, -3.5>
      }
      
      sphere {
         //*PMName Filler cap
         <0, 4.6, -4.4>, 0.25
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
   }
   
   prism {
      //*PMName Engine deck
      linear_spline
      linear_sweep
      0, 5.8,
      4,
      <-2, 0>, <2, 0>, <0, 0.5>, <-2, 0>
      scale <1, 1, 1>
      rotate <-90, 0, 0>
      translate <0, 4.8, 2.3>
   }
   
   union {
      //*PMName Engine door R
      
      box {
         //*PMName box
         <0, 0, 0>, <0.6, 0.05, 1.4>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         <0.3, 0, 0>, <0.3, 0.05, 0>, 0.3
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         <0.3, 0, 1.4>, <0.3, 0.05, 1.4>, 0.3
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      translate <-0.4, 5.12, -0.3>
      rotate <0, 0, 15>
   }
   
   union {
      //*PMName Engine door L
      
      box {
         //*PMName box
         <0, 0, 0>, <0.6, 0.05, 1.4>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         <0.3, 0, 0>, <0.3, 0.05, 0>, 0.3
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      cylinder {
         <0.3, 0, 1.4>, <0.3, 0.05, 1.4>, 0.3
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      translate <-1, 5.12, -0.3>
      rotate <0, 0, -15>
   }
   
   union {
      //*PMName Cab
      
      difference {
         //*PMName Cab body
         
         prism {
            //*PMName Cab main
            linear_spline
            linear_sweep
            3.7, 7.7,
            10,
            <2, 3.1>, <3, 4.1>, <3, 6.2>, <1.55, 7.9>, <-1.15, 7.9>, <-2, 7>, <-2, 4.5>, <-0.6, 4.5>, <0.7, 3.1>, <2, 3.1>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         plane {
            //*PMName Rear roof
            <0, -1, 0>, 0
            scale <1, 1, 1>
            rotate <20, 0, 0>
            translate <0, 7.7, 6.2>
         }
         
         plane {
            //*PMName Front roof
            <0, -1, 0>, 0
            scale <1, 1, 1>
            rotate <-15, 0, 0>
            translate <0, 7.7, 4.5>
         }
         
         prism {
            //*PMName Driver roof
            linear_spline
            linear_sweep
            0, 1.6,
            4,
            <0, 0>, <0, 0.635>, <1.8, 0>, <0, 0>
            scale <1, 1, 1>
            rotate <90, -90, 0>
            translate <-0.5, 7.735, 4.4>
         }
      }
      
      box {
         //*PMName Roof ridge
         <3, 7.7, 6.2>, <-2, 7.8, 6.15>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      object {
         //*PMName Machine gun F
         Machinegun
         scale <1, 1, 1>
         rotate <0, 180, 0>
         translate <1.35, 6.35, 3.3>
      }
      
      cylinder {
         //*PMName MG surround F
         <1.35, 6.35, 3.3>, <1.35, 6.35, 3.05>, 0.3
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      object {
         //*PMName Machine gun R
         Machinegun
         scale <1, 1, 1>
         rotate <0, -90, 0>
         translate <-1.8, 6.35, 6.4>
      }
      
      cylinder {
         //*PMName MG surround R
         <-1.8, 6.35, 6.4>, <-2.05, 6.35, 6.4>, 0.3
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      object {
         //*PMName Machine gun L
         Machinegun
         scale <1, 1, 1>
         rotate <0, 90, 0>
         translate <2.8, 6.35, 6>
      }
      
      cylinder {
         //*PMName MG surround L
         <2.8, 6.35, 6>, <3.05, 6.35, 6>, 0.3
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      object {
         //*PMName Machine gun B
         Machinegun
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0.55, 6.35, 7.7>
      }
      
      cylinder {
         //*PMName MG surround B
         <0.55, 6.35, 7.7>, <0.55, 6.35, 7.95>, 0.3
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      prism {
         //*PMName Door vent
         linear_spline
         linear_sweep
         0, 0.6,
         5,
         <0, 0>, <0.7, 0>, <0.7, 0.3>, <0.3, 0.3>, <0, 0>
         scale <1, 1, 1>
         rotate <180, 180, 90>
         translate <0.75, 4.6, 7.9>
      }
      
      box {
         //*PMName Roof hatch
         <2, 7.6, 6.2>, <0.6, 7.75, 4.8>
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      prism {
         //*PMName Cab front
         linear_spline
         linear_sweep
         -2, 2,
         5,
         <0, 0>, <0, 0.5>, <-2.2, 1.6>, <-2.2, 0>, <0, 0>
         scale <1, 1, 1>
         rotate <-90, 90, 0>
         translate <0, 4.8, 2.3>
      }
      
      union {
         //*PMName Grouser rails R
         
         box {
            //*PMName Top rail
            <-2, 5.3, 7>, <-2.1, 5.4, 4.5>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Vertical rail
            <-2, 4.8, 4.5>, <-2.1, 5.4, 4.4>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Bottom rail
            <-2, 4.8, 2.3>, <-2.1, 4.7, 4.5>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
      
      union {
         //*PMName Grouser rails L
         
         box {
            //*PMName Top rail
            <2, 5, 3.1>, <2.1, 5.1, 4.6>
            scale <1, 1, 1>
            rotate <0, 45, 0>
            translate <-1.7, 0, 2.25>
         }
         
         box {
            //*PMName Vertical rail
            <3, 4.7, 4.1>, <3.1, 5.1, 4.2>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Bottom rail
            <3, 4.8, 4.1>, <3.1, 4.7, 6.2>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
   }
   
   union {
      //*PMName Stowage box R
      
      difference {
         //*PMName Box
         
         box {
            //*PMName Outer
            <-2, 4, 7>, <-3, 5.3, 8.8>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Inner
            <-2.02, 4.02, 7.02>, <-2.98, 5.35, 8.78>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
      
      cylinder {
         //*PMName Support
         <-3, 5.3, 8.8>, <-2, 7, 7>, 0.01
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      pigment {
         color rgbt <0.5, 0.5, 0, 0.6>
      }
   }
   
   union {
      //*PMName Stowage box L
      
      difference {
         //*PMName Box
         
         box {
            //*PMName Outer
            <3.01, 4, 6.2>, <1.55, 5.3, 8.8>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
         
         box {
            //*PMName Inner
            <2.99, 4.02, 6.22>, <1.57, 5.35, 8.78>
            scale <1, 1, 1>
            rotate <0, 0, 0>
            translate <0, 0, 0>
         }
      }
      
      cylinder {
         //*PMName Support
         <3, 5.3, 8.8>, <2, 7, 6>, 0.01
         scale <1, 1, 1>
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      pigment {
         color rgbt <0.5, 0.5, 0, 0.6>
      }
   }
   
   object {
      //*PMName Track R
      Trackunit
      scale <1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   object {
      //*PMName Track L
      Trackunit
      scale <-1, 1, 1>
      rotate <0, 0, 0>
      translate <0, 0, 0>
   }
   
   pigment {
      color rgb <0.5, 0.5, 0>
   }
   rotate <0, 0, 0>
}